%define name zvbi
%define version 0.2.30
%define release %mkrel 1
%define libname %mklibname %name 0

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Raw VBI, Teletext and Closed Caption decoding library
License: GPL
Group: Video
Url: http://zapping.sourceforge.net/
Source0:    http://prdownloads.sourceforge.net/zapping/%name-%version.tar.bz2
Patch2: zvbi-0.2.7-fix-build.patch
Buildroot: %_tmppath/%name-root
Requires(Pre): info-install
Requires(Post): info-install
BuildRequires:	X11-devel
BuildRequires:	gtk-doc
BuildRequires:	libpng-devel
BuildRequires:	doxygen
Requires: gettext >= 0.10.36

%description
Non versionated files of zvbi, mainly libzvbi0 translations

%package -n %{libname}
Summary: Raw VBI, Teletext and Closed Caption decoding library
Group: Video
%description -n %{libname}
VBI stands for Vertical Blanking Interval, a gap between the image
data transmitted in an analog video signal. This gap is used to
transmit AM modulated data for various data services like Teletext and
Closed Caption.

The zvbi library provides routines to:
* read from raw VBI sampling devices (both V4L and V4L2 API are supported),
* a versatile raw vbi bit slicer,
* decoders for various data services and basic search,
* demodulate raw to sliced VBI data,
* interpret the data of several popular services.
* render and export functions for text pages.

The library is the vbi decoding backbone of the Zapping Gnome TV viewer
and Zapzilla Teletext browser.


%package -n %{libname}-devel                                   
Summary: Header files for developing apps which will use libzvbi
Group: Development/C
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel
Obsoletes: %{name}-devel
%description -n %{libname}-devel
Header files and static library of bzip2 functions, for developing apps which
will use the zvbi library (aka libzvbi)


%package devel
Summary:	Zvbi library headers files
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	libunicode-devel

%description devel
Header files and documentation for the support library for the zvbi
library.

%prep
%setup -q
%patch2 -p1 -b .build

%build
%configure
# gtkdoc fix:
cp /usr/share/gtk-doc/data/gtkdoc-common.pl doc/
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}
%find_lang %name
             
%clean
rm -rf $RPM_BUILD_ROOT


%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(644,root,root,755)
%doc COPYING
%attr(755,root,root) %_bindir/*
%attr(755,root,root) %_sbindir/*
%_mandir/man1/*


%files -n %libname
%defattr (-, root, root)
%doc AUTHORS COPYING NEWS README
%_libdir/libzvbi*.so.*

%files -n %{libname}-devel                                     
%defattr(644,root,root,755)
%doc BUGS ChangeLog COPYING TODO doc/html
%_libdir/lib*.so
%_libdir/lib*.la
%_libdir/lib*.a
%_libdir/pkgconfig/*
%_includedir/libzvbi.h




%changelog
* Mon Apr 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.30-1mdv2009.0
+ Revision: 192905
- new release

* Wed Feb 27 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.28-1mdv2008.1
+ Revision: 175796
- new release
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.2.25-3mdv2008.0
+ Revision: 69349
- kill file require on info-install

* Thu May 03 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.25-2mdv2008.0
+ Revision: 20854
- don't require autoconf / automake any more
- clean spec:
- don't source icons that are not used in build
- don't require libunicode any more (not used)
- require X11-devel not XFree86-devel
- no need to run autoconf / automake prior to build

* Fri Apr 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.2.25-1mdv2008.0
+ Revision: 16117
- new release


* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.23-1mdv2007.0
+ Revision: 86945
- Import zvbi

* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.23-1mdv2007.1
- new release

* Wed Jun 28 2006 Stefan van der Eijk <stefan@eijk.nu> 0.2.21-1mdv2007.0
- png rebuild

* Fri May 12 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.21-1mdk
- new release
- kill patch 3 (no more needed)

* Thu Nov 03 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.2.17-1mdk
- new release

* Fri Jun 03 2005 Sebastien Savarin <plouf@mandriva.org> 0.2.16-1mdk
- New Release 0.2.16

* Sat May 14 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.13-2mdk
- Rebuild

* Tue Jan 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.13-1mdk
- new release

* Mon Jan 03 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.11-1mdk
- new release
- kill patches 0 and 1 (merged upstream)

* Sat Aug 14 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.8-3mdk
- fix autotools calls

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-2mdk
- remove debug messages :-)

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-1mdk
- new release
- patch 3: fix build system again

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-1mdk
- new release
- redo patch 0
- patch 2: fix build system
- fix build

* Wed Dec 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-1mdk
- new release
- rediff patch 1 (partially merged)

